Subject: bug#29097: 25.1; to support '_' as a word constituent, subword-mode regexes need updating

From: Chris Hecker <[email-masked]>
Date: Wed, 01 Nov 2017 06:20:03 +0000

Yes, sexp's include entire brace blocks and whatnot.  I just want to
forward into valid c identifiers but with subword support.  So there's
still a big difference between the two functions?

Chris

On Tue, Oct 31, 2017 at 22:54 Masatake YAMATO <[email-masked]> wrote:

> Hi,
>
> I read the original bug report.
>
> I wonder why you want do
>
>    (modify-syntax-entry ?_ "w")
>
> .
>
> This change suppresses the difference of \M-f and \M-C-f.
> Do you really want this suppression?
>
> Masatake YAMATO
>
>
> >> From: Chris Hecker <[email-masked]>
> >> Date: Tue, 31 Oct 2017 20:51:23 -0700
> >> Cc: [email-masked]
> >>
> >> If you like using identifiers with underscores (_) in them, like
> >> C macros or even just regular identifiers, you can add _ as a word
> >> constituent in the syntax tables, but if you're using subword-mode
> >> then the forward and backwards regexes need updating to work
> >> correctly.  Here is the relevant section of my .emacs c-mode hook:
> >
> > Perhaps we should make subword-forward-regexp and
> > subword-backward-regexp defcustoms?
>